{% extends "base.html" %}
{% load sanitize_html %}
{% load logtags %}
{% block heading %}{% endblock %}
{% block bodyattrs %}class="tundra eventDetail"{% endblock %}

{% block jscript %}
{% load static %}
<link rel="stylesheet" href="{% static "css/labeltips.css" %}" />
<script src="{% static "moment/moment.js" %}"></script>
<script src="{% static "moment-timezone/builds/moment-timezone-with-data.min.js" %}"></script>
<script src="{% static "dojo/dojo.js" %}" data-dojo-config="async: true"></script>
<script src="{% static "jquery/dist/jquery.min.js" %}"></script>
<!-- Styles for dgrid -->
<!-- <link rel="stylesheet" href="{% static "dgrid/css/dgrid.css" %}" /> -->
<!-- Styles for the editor components -->
<link rel="stylesheet" href="{% static "dojox/editor/plugins/resources/css/PageBreak.css" %}" />
<link rel="stylesheet" href="{% static "dojox/editor/plugins/resources/css/ShowBlockNodes.css" %}" />
<link rel="stylesheet" href="{% static "dojox/editor/plugins/resources/css/Preview.css" %}" />
<link rel="stylesheet" href="{% static "dojox/editor/plugins/resources/css/Save.css" %}" />
<link rel="stylesheet" href="{% static "dojox/editor/plugins/resources/css/Breadcrumb.css" %}" />
<link rel="stylesheet" href="{% static "dojox/editor/plugins/resources/css/FindReplace.css" %}" />
<link rel="stylesheet" href="{% static "dojox/editor/plugins/resources/css/PasteFromWord.css" %}" />
<link rel="stylesheet" href="{% static "dojox/editor/plugins/resources/css/InsertAnchor.css" %}" />
<link rel="stylesheet" href="{% static "dojox/editor/plugins/resources/css/CollapsibleToolbar.css" %}" />
<link rel="stylesheet" href="{% static "dojox/editor/plugins/resources/css/Blockquote.css" %}" />
<link rel="stylesheet" href="{% static "dojox/editor/plugins/resources/css/Smiley.css" %}" />
<!-- Styles for the lightboxes. --> 
<link rel="stylesheet" href="{% static "dojox/image/resources/LightboxNano.css" %}" />
<!-- Local style declarations -->
<link rel="stylesheet" href="{% static "dijit/themes/tundra/tundra.css" %}" />

<!-- the main JavaScript block is pulled in with an include -->
<script>
{% include "superevents/superevent_detail_script.js" %}
</script>

<script>
 function clickConfirm() {
   return confirm(" {{confirmation_dialog_text}} ");
}
</script>

{% endblock %}

{% block content %}
<div id='event_detail_content'>

{% if superevent.is_exposed and not user_is_external %}
<!-- Show internal users that this superevent is publicly exposed -->
<h2 style="color: red; text-align: center;">PUBLIC SUPEREVENT</h2>
{% endif %}

{% if messages %}
<div class="flash">
    {% for m in messages %}
        <p>{{ m }}</p>
    {% endfor %}
</div>
{% endif %}

{% if show_gw_status_form %}
<div class="content-area">
<form action="{% url "legacy_apiweb:default:superevents:superevent-confirm-as-gw" superevent.superevent_id %}" method="POST" id="confirm_as_gw_form">
    <input type="submit" value="Confirm this superevent as a GW" class="permButtonClass" disabled>
</form>
<div><b>Note:</b> this action is irreversible without manual intervention by an admin.</div>
</div>
{% endif %}

{# not sure why we need this if statement, maybe can delete in the future #}
{% if 'lvem_view' not in request.path %}

{#-- XXX This next bit is super hacky. #}
{% if can_modify_permissions %}
<div class="content-area">
<form action="{% url "legacy_apiweb:default:superevents:superevent-permission-modify" superevent.superevent_id %}" 
               method="POST" 
               id="permissions_form">
    <input type="hidden" name="action" value="{{ permissions_action }}">
    <input type="submit" value="{{ permissions_form_button_text }}" class="permButtonClass" id="permissions_submit_link"  onclick="return clickConfirm()">
</form>
</div>
{% endif %}

{% if operator_signoff_authorized and operator_signoff_active %}
<div class="signoff-area">
    <h2>{{ operator_signoff_instrument }} Operator Signoff</h2>
    <p>You are seeing this section because you've connected from a machine that, according to our records, is in the {{ signoff_instrument }} control room.</p>
    {% if operator_signoff_exists %}
    <p>This event has already been signed off on. Use the form below if you wish to edit or delete the record.</p>
    {% else %}
    <p>This superevent still requires operator signoff. Please answer the following (and optionally enter a comment): At the time of the superevent ({{ object_gpstime_in_operator_tz }}), was the operating status of the detector basically okay, or not?</p>
    {% endif %}
    <form class="signoff_form">
        <table>
        {{ operator_signoff_form.as_table }}
        <tr>
            <td></td>
            <td>
            {# inputs are disabled here, enabled by jquery code on page load. Otherwise users who click quickly can activate the form before the jquery is fully loaded #}
            {% if operator_signoff_exists %}
            {% with operator_signoff_type|add:operator_signoff_instrument as typeinst %}
                <input type="submit" formaction="{% url "legacy_apiweb:default:superevents:superevent-signoff-detail" superevent.superevent_id typeinst %}" value="Update signoff" class="searchButtonClass" id="update" disabled>
                <input type="submit" formaction="{% url "legacy_apiweb:default:superevents:superevent-signoff-detail" superevent.superevent_id typeinst %}" value="Delete signoff" class="searchButtonClass" id="delete" disabled>
            {% endwith %}
            {% else %}
            <input type="submit" value="Create signoff" class="searchButtonClass" formaction={% url "legacy_apiweb:default:superevents:superevent-signoff-list" superevent.superevent_id %} disabled>
            {% endif %}
            </td>
        </tr>
        </table>
    </form>
</div>
{% endif %}

{# Here is a section for the EM advocate signoffs. #}
{% if advocate_signoff_authorized and advocate_signoff_active %}
<div class="signoff-area">
    <h2>Advocate Signoff</h2>
    <p>You are seeing this section because you're a designated EM followup advocate.
    {% if advocate_signoff_exists %}
    This event has already been signed off on. Use the form below if you wish to edit or delete the record.
    {% else %}
    This event still requires EM Followup advocate signoff.
    {% endif %}
    </p>
    
    <form class="signoff_form">
        <table>
        {{ advocate_signoff_form.as_table }}
        <tr>
            <td></td>
            <td>
            {# inputs are disabled here, enabled by jquery code on page load. Otherwise users who click quickly can activate the form before the jquery is fully loaded #}
            {% if advocate_signoff_exists %}
            {% with advocate_signoff_type|add:advocate_signoff_instrument as typeinst %}
                <input type="submit" formaction="{% url "legacy_apiweb:default:superevents:superevent-signoff-detail" superevent.superevent_id typeinst %}" value="Update signoff" class="searchButtonClass" id="update" disabled>
                <input type="submit" formaction="{% url "legacy_apiweb:default:superevents:superevent-signoff-detail" superevent.superevent_id typeinst %}" value="Delete signoff" class="searchButtonClass" id="delete" disabled>
            {% endwith %}
            {% else %}
            <input type="submit" value="Create signoff" class="searchButtonClass" formaction={% url "legacy_apiweb:default:superevents:superevent-signoff-list" superevent.superevent_id %} disabled>
            {% endif %}
            </td>
        </tr>
        </table>
    </form>
</div>
{% endif %}

{% endif %} {# lvem_view not in request.path #}

<div class="content-area">
{% block superevent_info %}
<h2>Superevent Info</h2>
    <div style="overflow-x: auto;">
    {% if user.is_authenticated %}
        {% include "superevents/superevent_info_table.html" %}
    {% else %}
        {% include "superevents/superevent_info_table_public.html" %}
    {% endif %}
    </div>
{% endblock %}

<br />
<br />

{% block basic_info %}
<h2>Preferred Event Info</h2>
    <div style="overflow-x: auto;">
    {% if user.is_authenticated %}
        {% include "superevents/preferred_event_info_table.html" %}
    {% else %}
        {% include "superevents/preferred_event_info_table_public.html" %}
    {% endif %}
    </div>
{% endblock %}

{% if user.is_authenticated %}
{% include "superevents/emo_form_frag.html" %}
{% endif %}

</div> <!-- end event_detail_content div -->
{% endblock %}

